﻿using System.Collections.Generic;
using System.Web.Mvc;
using Kendo.Mvc.Examples.Models;
using Kendo.Mvc.Extensions;
using Kendo.Mvc.UI;
using System.Linq;

namespace Kendo.Mvc.Examples.Controllers
{
	public partial class GridController : Controller
	{
		public class SelectListItemDto
		{
			public SelectListItemDto(int id, string name)
			{
				Id = id;
				Name = name;
			}
			public int Id { get; set; }
			public string Name { get; set; }
		}

		public class LocationEngagements
		{
			public LocationEngagements(int id, string city, string state, SelectListItemDto slitd)
			{
				Id = id;
				City = city;
				State = state;
				StateEditor = slitd;
			}
			public int Id { get; set; }
			public string City { get; set; }
			public string State { get; set; }
			public SelectListItemDto StateEditor { get; set; }
		}

		public List<LocationEngagements> GetData()
		{

			List<LocationEngagements> myData = new List<LocationEngagements>();
			myData.Add(new LocationEngagements(1, "City1", "State1", new SelectListItemDto(11, "list11")));
			myData.Add(new LocationEngagements(2, "City2", "State2", new SelectListItemDto(22, "list22")));
			myData.Add(new LocationEngagements(3, "City3", "State3", new SelectListItemDto(33, "list33")));
			return myData;
		}

		public ActionResult Grid_ClientTemplate()
		{
			return View();
		}

		public ActionResult GridLocationsEngagement_Read([DataSourceRequest] DataSourceRequest request)
		{
			return Json(GetData().ToDataSourceResult(request));
		}	
	}
}
